<script setup>
import { ref } from "vue";
const colors = ['#0f0', '#f00'];

const props = defineProps({
  r: {
    type: [Number, String],
    default: 6,
  },
	offset: {
		type: Array,
		default: () => [0, 0],
	},
  text: {
    type: String,
    default: 'Text',
  },
  fontSize: {
    type: [Number, String],
    default: 16,
  },
	color: {
		type: String,
		default: "#fff",
	},
	// 状态 0正常 1故障
	status: {
		type: Number,
		default: 0,
	},

});
</script>

<template>
  <g ref="g" :transform="'translate(' + offset.join(',') + ')'">
    <circle
      :cx="r"
      :cy="r"
      :r="r"
      :stroke="status ? colors[1] : colors[0]"
      stroke-width="2"
      :fill="status ? colors[1] : 'none'"
    />
    <text
      :x="r * 2 + fontSize"
      :y="r"
      :dy="fontSize/2.6"
      :fill="color"
      text-anchor="start"
      :font-size="fontSize"
      >{{ text }}</text
    >
  </g>
</template>

<style scoped lang="less"></style>
